classification
Title: pdb: interaction might cause "ValueError: signal only works in main thread"
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: blueyed, miss-islington, zach.ware
Priority: normal Keywords: patch

Created on 2019-03-09 14:23 by blueyed, last changed 2019-09-09 11:25 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12251 merged blueyed, 2019-03-09 15:05
PR 15752 merged miss-islington, 2019-09-09 10:46
Messages (3)
msg337572 - (view) Author: daniel hahler (blueyed) * Date: 2019-03-09 14:23
This is similar to https://bugs.python.org/issue13120.

I have a patch for a fix already, but no test - will add a PR for it.


Fixed in pdbpp in https://github.com/antocuni/pdb/pull/143, which also has a test that demonstrates it.
msg351421 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2019-09-09 10:46
New changeset 8d64bfafdffd9f866bb6ac2e5b4c4bdfcb16aea0 by Zachary Ware (Daniel Hahler) in branch 'master':
bpo-36250: ignore ValueError from signal in non-main thread (GH-12251)
https://github.com/python/cpython/commit/8d64bfafdffd9f866bb6ac2e5b4c4bdfcb16aea0
msg351430 - (view) Author: miss-islington (miss-islington) Date: 2019-09-09 11:25
New changeset 87a5a331eab5a99538d60a6dab25bdf299a68e3e by Miss Islington (bot) in branch '3.8':
bpo-36250: ignore ValueError from signal in non-main thread (GH-12251)
https://github.com/python/cpython/commit/87a5a331eab5a99538d60a6dab25bdf299a68e3e
History
Date User Action Args
2019-09-09 11:25:24miss-islingtonsetnosy: + miss-islington
messages: + msg351430
2019-09-09 10:47:30zach.waresetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.9
2019-09-09 10:46:12miss-islingtonsetpull_requests: + pull_request15406
2019-09-09 10:46:01zach.waresetmessages: + msg351421
2019-03-10 08:40:50SilentGhostsetnosy: + zach.ware
type: behavior
2019-03-09 15:05:39blueyedsetkeywords: + patch
stage: patch review
pull_requests: + pull_request12239
2019-03-09 14:23:45blueyedcreate